From: Ole Streicher <olebole@debian.org>
Date: Tue, 27 Jun 2017 22:03:46 +0200
Subject: Use system provided libwcstools instead of local copy Also,
 build the swig wrapper from its source file.

---
 PyWCSTools/wcssubs-3.9.5/wcs.i | 2 +-
 setup.py                       | 9 ++++-----
 2 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/PyWCSTools/wcssubs-3.9.5/wcs.i b/PyWCSTools/wcssubs-3.9.5/wcs.i
index e63c5ba..2860834 100644
--- a/PyWCSTools/wcssubs-3.9.5/wcs.i
+++ b/PyWCSTools/wcssubs-3.9.5/wcs.i
@@ -14,7 +14,7 @@
 /* %feature("autodoc", "1") */
 
 %{
-#include "wcs.h"
+#include <wcstools/wcs.h>
 %}
 
 /* WORKING */
diff --git a/setup.py b/setup.py
index b5b695d..b2d2717 100644
--- a/setup.py
+++ b/setup.py
@@ -83,12 +83,11 @@ with World Coordinate System (WCS) information through PyWCSTools - a simple wra
 PyWCSTools is distributed (and developed) as part of astLib.""",
     packages=['astLib', 'PyWCSTools'],
     package_data={'astLib': ['data/*']},
-    cmdclass={"build_ext": build_PyWCSTools_ext},
     scripts=exampleScripts,
     ext_modules=[
-        Extension('PyWCSTools._wcscon', [sourceDir+"wcscon_wrap.c"],
-        extra_objects=oFiles),
-        Extension('PyWCSTools._wcs', [sourceDir+"wcs_wrap.c"],
-        extra_objects=oFiles)
+        Extension('PyWCSTools._wcscon', [sourceDir+"wcscon.i"],
+        swig_opts=['-outdir', 'PyWCSTools/'], libraries=['wcstools']),
+        Extension('PyWCSTools._wcs', [sourceDir+"wcs.i"],
+        swig_opts=['-outdir', 'PyWCSTools/'], libraries=['wcstools'])
     ]
 	)
